OpenTTD Source: Data Fields

OpenTTD Source 15.3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- s : Units, UnitsLong
- s_rail_change_counter : CSegmentCostCacheBase
- SAFE_LIMIT : ScriptAllocator
- SatisfyDemandTo() : LinkGraphJob::NodeAnnotation
- Save() : AI, AIPLChunkHandler, ANITChunkHandler, BKORChunkHandler, CAPAChunkHandler, CAPYChunkHandler, CHTSChunkHandler, ChunkHandler, CITYChunkHandler, CMDLChunkHandler, CMPUChunkHandler, DATEChunkHandler, DefaultSaveLoadHandler< TImpl, TObject >, DEPTChunkHandler, ECMYChunkHandler, EIDSChunkHandler, ENGNChunkHandler, ERNWChunkHandler, Game, GLOGChunkHandler, GOALChunkHandler, GRPSChunkHandler, GSDTChunkHandler, GSTRChunkHandler, HotkeyList, IBLDChunkHandler, INDYChunkHandler, ITBLChunkHandler, LEAEChunkHandler, LEATChunkHandler, LGRJChunkHandler, LGRPChunkHandler, LGRSChunkHandler, M3HIChunkHandler, M3LOChunkHandler, MAP2ChunkHandler, MAP5ChunkHandler, MAP7ChunkHandler, MAP8ChunkHandler, MAPEChunkHandler, MAPHChunkHandler, MAPOChunkHandler, MAPSChunkHandler, MAPTChunkHandler, NewGRFMappingChunkHandler, NGRFChunkHandler, OBJSChunkHandler, ORDLChunkHandler, PATSChunkHandler, PLYRChunkHandler, PSACChunkHandler, RAILChunkHandler, ROADChunkHandler, ROTTChunkHandler, SaveLoadHandler, ScriptInstance
- save : SettingDesc
- Save() : SIGNChunkHandler, SlSkipHandler, SRNDChunkHandler, STNNChunkHandler, STPAChunkHandler, STPEChunkHandler, SUBSChunkHandler, VEHSChunkHandler, VIEWChunkHandler
- save_config : AfterNewGRFScan
- SaveCustomPlaylist() : MusicSystem
- saved : PickerCallbacks
- SaveEmpty() : ScriptInstance
- SaveFilter() : SaveFilter
- savegame : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- savegame_id : GameSessionStats
- savegame_size : GameSessionStats
- saveinprogress : SaveLoadParams
- SaveObject() : ScriptInstance
- SavePresetWindow() : SavePresetWindow
- SaveToConfig() : WindowDesc
- SaveToDisk() : IniFile
- sb : NWidgetMatrix
- scale : FlowMapper
- Scale() : LinkGraph
- scale : LinkGraphOverlay, Window
- scale_bevels : GUISettings
- ScaleBits() : FaceVar
- ScaleByLandProportion() : Map
- ScaleBySize() : Map
- ScaleBySize1D() : Map
- scaled : WidgetDimensions
- ScaleToMonthly() : FlowStat
- Scan() : FileScanner, LanguageScanner, ScenarioScanner
- ScanForStationTiles() : StationRect
- scanned : ScanProgressWindow, ScenarioScanner
- scanner : ScriptInfo
- scanner_info : AI, Game
- scanner_library : AI, Game
- ScanProgressWindow() : ScanProgressWindow
- scenario_developer : GUISettings
- ScenarioScanner() : ScenarioScanner
- scenid : ScenarioIdentifier
- schedule : LinkGraphSchedule
- scheduled_invalidation_data : Window
- scheduled_resize : Window
- ScheduleResize() : Window
- Scinterlate() : FrametimeGraphWindow
- score : HighScore, LeagueTableElement, ScoreInfo
- score_width : ScriptLeagueWindow
- script : GameSettings, ICURun
- script_config : GameSettings, ScriptSettingsWindow
- script_debug_company : ScriptDebugWindow::FilterState
- Script_FatalError() : Script_FatalError
- script_max_memory_megabytes : ScriptSettings
- script_max_opcode_till_suspend : ScriptSettings
- Script_Suspend() : Script_Suspend
- ScriptConfig() : ScriptConfig
- ScriptDebugGlobalHotkeys() : ScriptDebugWindow
- ScriptDebugWindow() : ScriptDebugWindow
- ScriptFileChecksumCreator() : ScriptFileChecksumCreator
- ScriptInstance() : ScriptInstance
- ScriptListWindow() : ScriptListWindow
- ScriptSettingSource : ScriptConfig
- ScriptSettingsWindow() : ScriptSettingsWindow
- Scroll() : IConsoleWindow
- scroll_interval : AboutWindow, DropdownWindow, NewsWindow
- scroll_mode : GUISettings
- scroll_to_row : StationViewWindow
- scroll_x : SmallMapWindow
- scroll_y : SmallMapWindow
- scrollbar_index : NWidgetCore
- ScrollbarStepping : Scrollbar
- ScrollBuffer() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- scrolling : DropdownWindow
- scrollpos : TextfileWindow::HistoryEntry
- scrollpos_x : ViewportData
- scrollpos_y : ViewportData
- ScrollToSelected() : NetworkContentListWindow
- ScrollToSelectedServer() : NetworkGameWindow
- ScrollTowards() : Scrollbar
- scrollwheel_multiplier : GUISettings
- scrollwheel_scrolling : GUISettings
- sdl_window : VideoDriver_SDL_Base
- se_flat_world_height : GameCreationSettings
- SEARCH_IN_TARS : BaseSet< T >
- search_iterator : TextfileWindow
- searched_internet : NetworkGameWindow
- SearchNonStop() : StationViewWindow
- SECONDS_PER_DAY : TimerGameConst< T >
- SeekTo() : RandomAccessFile
- SeekToBegin() : SpriteFile
- seen_hops : LinkRefresher
- segments : MpsMachine
- sel_action : TownAuthorityWindow
- sel_class : HousePickerCallbacks, ObjectPickerSelection, RoadStopPickerSelection, RoadWaypointPickerSelection, StationPickerSelection, WaypointPickerSelection
- SEL_DC_BASEPLANE : VehicleViewWindow
- SEL_DC_CLONE : VehicleViewWindow
- SEL_DC_GOTO_DEPOT : VehicleViewWindow
- sel_engine : BuildVehicleWindow, ReplaceVehicleWindow
- sel_group : ReplaceVehicleWindow
- sel_railtype : ReplaceVehicleWindow
- sel_roadtype : ReplaceVehicleWindow
- SEL_RT_BASEPLANE : VehicleViewWindow
- SEL_RT_REFIT : VehicleViewWindow
- SEL_RT_TURN_AROUND : VehicleViewWindow
- sel_type : HousePickerCallbacks, ObjectPickerSelection, RoadStopPickerSelection, RoadWaypointPickerSelection, StationPickerSelection, WaypointPickerSelection
- sel_view : HousePickerCallbacks, ObjectPickerSelection
- Select() : ClientNetworkContentSocketHandler
- select_method : TileHighlightData
- select_proc : TileHighlightData
- SelectAll() : ClientNetworkContentSocketHandler
- SelectBlitter() : BlitterFactory
- SelectDisplayPlanes() : SelectCompanyManagerFaceWindow
- SelectDriver() : DriverFactoryBase
- SelectDriverImpl() : DriverFactoryBase
- selected : NetworkContentListWindow, SaveLoadWindow, SavePresetWindow, ScriptListWindow
- selected_click_result : DropdownWindow
- selected_generic_title : StoryBookWindow
- selected_layout : Industry
- selected_page_id : StoryBookWindow
- selected_refit : RefitWindow
- selected_result : DropdownWindow
- selected_slot : AIConfigWindow
- selected_type : BuildIndustryWindow
- selected_var : SelectCompanyManagerFaceWindow
- selected_vehicle : RefitWindow
- SelectFirstAvailableAirport() : BuildAirportWindow
- selectgoods : OrderSettings
- SelectGroup() : VehicleGroupWindow
- SelectGroupBy() : StationViewWindow
- SelectLegendItem() : SmallMapWindow
- SelectNearestNodeDistance() : Kdtree< T, TxyFunc, CoordT, DistT >
- SelectNextPage() : StoryBookWindow
- SelectPlane() : VehicleViewWindow
- SelectPrevPage() : StoryBookWindow
- SelectRandomAI() : AIScannerInfo
- SelectSortBy() : StationViewWindow
- SelectSortOrder() : StationViewWindow
- SelectSplitCoord() : Kdtree< T, TxyFunc, CoordT, DistT >
- SelectUpgrade() : ClientNetworkContentSocketHandler
- SelectValidDebugCompany() : ScriptDebugWindow
- selend : TileHighlightData
- self_scope : VehicleResolverObject
- self_type : VehicleScopeResolver
- selstart : TileHighlightData
- semaphore_build_before : GUISettings
- Send() : ClientNetworkGameSocketHandler, QueryNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- Send_bool() : Packet
- Send_buffer() : Packet
- Send_bytes() : Packet
- send_encryption_handler : NetworkSocketHandler
- Send_string() : Packet
- Send_uint16() : Packet
- Send_uint32() : Packet
- Send_uint64() : Packet
- Send_uint8() : Packet
- SendAck() : ClientNetworkGameSocketHandler
- SendAuthRequest() : ServerNetworkGameSocketHandler
- SendAuthResponse() : ClientNetworkGameSocketHandler
- SendChat() : ClientNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendClientError() : ServerNetworkAdminSocketHandler
- SendClientInfo() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendClientJoin() : ServerNetworkAdminSocketHandler
- SendClientQuit() : ServerNetworkAdminSocketHandler
- SendClientUpdate() : ServerNetworkAdminSocketHandler
- SendCmdLogging() : ServerNetworkAdminSocketHandler
- SendCmdNames() : ServerNetworkAdminSocketHandler
- SendCommand() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendCompanyEconomy() : ServerNetworkAdminSocketHandler
- SendCompanyInfo() : ServerNetworkAdminSocketHandler
- SendCompanyNew() : ServerNetworkAdminSocketHandler
- SendCompanyRemove() : ServerNetworkAdminSocketHandler
- SendCompanyStats() : ServerNetworkAdminSocketHandler
- SendCompanyUpdate() : ServerNetworkAdminSocketHandler
- SendConfigUpdate() : ServerNetworkGameSocketHandler
- SendConsole() : ServerNetworkAdminSocketHandler
- SendDate() : ServerNetworkAdminSocketHandler
- SendEnableEncryption() : CombinedAuthenticationServerHandler, NetworkAuthenticationServerHandler, ServerNetworkGameSocketHandler, X25519AuthenticationHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- SendError() : ClientNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendErrorQuit() : ServerNetworkGameSocketHandler
- SendExternalChat() : ServerNetworkGameSocketHandler
- SendFrame() : ServerNetworkGameSocketHandler
- SendGameInfo() : QueryNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendGameScript() : ServerNetworkAdminSocketHandler
- SendGetMap() : ClientNetworkGameSocketHandler
- SendJoin() : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendMap() : ServerNetworkGameSocketHandler
- SendMapOk() : ClientNetworkGameSocketHandler
- SendMove() : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendNet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- SendNewGame() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendNewGRFCheck() : ServerNetworkGameSocketHandler
- SendNewGRFsOk() : ClientNetworkGameSocketHandler
- SendPacket() : NetworkTCPSocketHandler, NetworkUDPSocketHandler
- SendPackets() : NetworkTCPSocketHandler
- SendPong() : ServerNetworkAdminSocketHandler
- SendProtocol() : ServerNetworkAdminSocketHandler
- SendQuit() : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendRCon() : ClientNetworkGameSocketHandler
- SendRcon() : ServerNetworkAdminSocketHandler
- SendRconEnd() : ServerNetworkAdminSocketHandler
- SendRConResult() : ServerNetworkGameSocketHandler
- SendReceive() : ClientNetworkContentSocketHandler, ClientNetworkCoordinatorSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler, QueryNetworkGameSocketHandler
- SendRequest() : CombinedAuthenticationServerHandler, NetworkAuthenticationServerHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- SendResponse() : ClientGamePasswordRequestHandler, CombinedAuthenticationClientHandler, NetworkAuthenticationClientHandler, NetworkAuthenticationPasswordRequestHandler, TestPasswordRequestHandler, X25519AuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519KeyExchangeOnlyClientHandler, X25519PAKEClientHandler
- SendServerUpdate() : ClientNetworkCoordinatorSocketHandler
- SendSetName() : ClientNetworkGameSocketHandler
- SendShutdown() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendSurvey() : CrashLog
- SendSync() : ServerNetworkGameSocketHandler
- SendToDepot() : Vehicle
- SendWait() : ServerNetworkGameSocketHandler
- SendWelcome() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- sent_result : ClientNetworkStunSocketHandler
- separator : CurrencySpec
- SeparatorUsage : StringConsumer
- seq : DrawTileSpriteSpan
- seq_group_names : IniLoadFile
- serve_neutral_industries : StationSettings
- server : NetworkGameWindow
- server_address : TCPServerConnecter
- server_admin_chat : NetworkSettings
- server_admin_port : NetworkSettings
- server_authorized_keys : NetworkSettings
- server_connection_string : NetworkAskRelayWindow
- server_game_type : NetworkSettings
- server_invite_code : NetworkSettings
- server_invite_code_secret : NetworkSettings
- server_name : NetworkServerGameInfo, NetworkSettings
- server_password : NetworkJoinInfo, NetworkSettings
- server_port : NetworkSettings
- server_revision : NetworkServerGameInfo
- ServerAddress() : ServerAddress
- ServerNetworkAdminSocketHandler() : ServerNetworkAdminSocketHandler
- ServerNetworkGameSocketHandler() : ServerNetworkGameSocketHandler
- ServerNetworkUDPSocketHandler() : ServerNetworkUDPSocketHandler
- servers : NetworkGameWindow
- ServerStatus : ClientNetworkGameSocketHandler
- ServerToClient() : X25519DerivedKeys
- service_interval : BaseConsist
- serviceathelipad : OrderSettings
- servint_aircraft : VehicleDefaultSettings
- servint_ispercent : VehicleDefaultSettings
- servint_roadveh : VehicleDefaultSettings
- servint_ships : VehicleDefaultSettings
- servint_trains : VehicleDefaultSettings
- Set() : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >, FileToSaveLoad
- set : MusicSystem::PlaylistEntry
- Set() : VehicleSpriteSeq
- set_index : MusicSystem::PlaylistEntry
- set_start_date_all : TimetableWindow
- SET_TYPE : BaseSet< T >
- SetAcceptedCargoFilter() : IndustryDirectoryWindow
- SetAlignment() : NWidgetCore
- SetArticulatedPart() : GroundVehicle< T, Type >
- SetAspect() : NWidgetResizeBase
- SetBits() : FaceVar
- SetButtons() : BuildIndustryWindow, SettingEntry
- SetCallerGRFID() : NewGRFInspectWindow
- SetCapacity() : Scrollbar
- SetCapacityFromWidget() : Scrollbar
- SetCargoFilter() : BaseVehicleListWindow
- SetCargoFilterArray() : BaseVehicleListWindow, BuildVehicleWindow, IndustryDirectoryWindow
- SetCargoMask() : LinkGraphOverlay
- SetClicked() : NWidgetMatrix
- SetClientIdHelper() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- SetClientIds() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- SetClimateMask() : HousePickerCallbacks
- SetColour() : FontState, StoryPageButtonData
- SetCompanyMask() : LinkGraphOverlay
- SetConditionComparator() : Order
- SetConditionSkipToOrder() : Order
- SetConditionValue() : Order
- SetConditionVariable() : Order
- SetConnected() : TCPServerConnecter
- SetCount() : NWidgetMatrix, Scrollbar
- SetCurPosition() : IcuStringIterator, OSXStringIterator, StringIterator, UniscribeStringIterator
- SetCursor() : StoryPageButtonData
- SetDate() : TimerGameCalendar, TimerGameEconomy
- SetDateWindow() : SetDateWindow
- SetDemand() : LinkGraph::BaseNode
- SetDemandPerNode() : AsymmetricScaler, SymmetricScaler
- SetDemands() : Scaler, SymmetricScaler
- SetDepotActionType() : Order
- SetDepotOrderType() : Order
- SetDestination() : Order
- SetDirty() : LinkGraphOverlay, NWidgetBase, NWidgetSpacer, Window
- SetDisabled() : NWidgetCore
- SetDisplayedHelpText() : GameOptionsWindow
- SetDisplayedPlane() : NWidgetStacked
- SetDisplayedRow() : StationViewWindow
- SetDummyAI() : AIScannerInfo
- SetEncodedMessage() : CommandCost
- SetEngine() : GroundVehicle< T, Type >
- SetEntitySpec() : HouseOverrideManager, IndustryOverrideManager, ObjectOverrideManager
- SetEntranceBusy() : RoadStop
- SetErrorMessage() : CrashLog
- SetErrorOwner() : CommandCost
- SetExpectedRate() : PerformanceMeasurer
- SetFailure() : TCPServerConnecter
- SetFill() : NWidgetResizeBase
- SetFilterFuncs() : GUIList< T, P, F >
- SetFiltering() : GUIList< T, P, F >
- SetFilterState() : GUIList< T, P, F >
- SetFilterString() : SignListWindow
- SetFilterTerm() : StringFilter
- SetFilterType() : GUIList< T, P, F >
- SetFocusedWidget() : Window
- SetFontNames() : LanguagePackGlyphSearcher, MissingGlyphSearcher, TextfileWindow
- SetFontSize() : FontState
- SetFreeWagon() : GroundVehicle< T, Type >
- SetFrontEngine() : GroundVehicle< T, Type >
- SetGlobalPointer() : Squirrel
- SetGRFFile() : GRFFilePropsBase
- SetHighlighted() : NWidgetCore
- SetInactive() : PerformanceMeasurer
- SetInfo() : NetworkGameSocketHandler
- SetInterval() : IntervalTimer< TTimerType >
- SetLastField() : BaseSettingEntry
- SetLastSpeed() : GroundVehicle< T, Type >
- SetListing() : GUIList< T, P, F >
- SetLoadType() : Order
- SetLowered() : NWidgetCore
- SetMatrixDimension() : NWidgetCore
- SetMaxSpeed() : Order
- SetMinimalSize() : NWidgetResizeBase
- SetMinimalSizeAbsolute() : NWidgetResizeBase
- SetMinimalTextLines() : NWidgetResizeBase
- SetMode() : FileToSaveLoad
- SetMultiheaded() : GroundVehicle< T, Type >
- SetNewScroll() : SmallMapWindow
- SetNext() : Vehicle
- SetNextHop() : CargoPacket
- SetNode() : FlowEdgeIterator, GraphEdgeIterator
- SetNonStopType() : Order
- SetOffset() : StringParameters
- SetOrigin() : CYapfOriginTileT< Types >, CYapfOriginTileTwoWayT< Types >
- SetOriginFromVehiclePos() : CYapfFollowRoadT< Types >
- SetOverlay() : LinkGraphLegendWindow
- SetOverlayCargoMask() : SmallMapWindow
- SetPadding() : NWidgetBase
- SetParameterDefaults() : GRFConfig
- SetPIP() : NWidgetBackground, NWidgetPIPContainer
- SetPIPRatio() : NWidgetBackground, NWidgetPIPContainer
- SetPixel() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- SetPort() : NetworkAddress
- SetPosition() : Scrollbar
- SetPositionBySetIndex() : MusicSystem
- SetPrintFunction() : Squirrel
- SetProducedCargoFilter() : IndustryDirectoryWindow
- SetRefit() : Order
- SetRegister() : ResolverObject
- SetReservationTarget() : CYapfReserveTrack< Types >
- SetResize() : NWidgetResizeBase
- SetResizeWidgetType() : NWidgetCore
- SetScrollbar() : NWidgetMatrix
- SetSeed() : Randomizer
- SetSelectedClass() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- SetSelectedPage() : StoryBookWindow
- SetSelectedType() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- SetSelection() : RefitWindow
- SetSet() : BaseMedia< Tbase_set >
- SetSetByName() : BaseMedia< Tbase_set >
- SetSetByShortname() : BaseMedia< Tbase_set >
- SetSetting() : ScriptConfig
- SetShaded() : Window
- SetSignalUIMode() : BuildSignalWindow
- SetSortFuncs() : GUIList< T, P, F >
- SetSortType() : GUIList< T, P, F >
- SetSprite() : NWidgetCore
- SetSpriteGroup() : FixedGRFFileProps< Tkey, Tcount >, VariableGRFFileProps< Tkey >
- SetSpriteTip() : NWidgetCore
- SetStepSize() : Scrollbar
- SetStopLocation() : Order
- SetString() : IcuStringIterator, NWidgetCore, OSXStringIterator, StringIterator, UniscribeStringIterator
- SetStringTip() : NWidgetCore
- SetSuitablePalette() : GRFConfig
- SetTextStyle() : NWidgetCore
- SetTile() : BitmapTileArea
- SetTimeout() : Window
- Setting() : Gamelog
- setting : SettingEntry
- settings : CompanyProperties, CYapfBaseT< Types >
- Settings() : LinkGraphJob
- settings : LinkGraphJob, ScriptConfig
- settings_ptr : GameOptionsWindow
- settings_restriction_mode : GUISettings
- SettingsIniFile() : SettingsIniFile
- SettingsPage() : SettingsPage
- SettingsToString() : ScriptConfig
- SettingValueList : ScriptConfig
- SetToolbarMinimalSize() : NWidgetResizeBase
- SetToolTip() : NWidgetCore
- SetTransfers() : CargoDataEntry
- SetTravelTime() : Order
- SetTravelTimetabled() : Order
- SetTreatFirstRedTwoWaySignalAsEOL() : CYapfCostRailT< Types >
- SetUnloadType() : Order
- setup : VideoDriver_Cocoa
- setup_prod : Cheats
- SetupCargoForClimate : CargoSpec
- SetupScrollbars() : TextfileWindow
- SetupSmallestSize() : NWidgetBackground, NWidgetBase, NWidgetHorizontal, NWidgetLayer, NWidgetLeaf, NWidgetMatrix, NWidgetNewGRFDisplay, NWidgetScenarioToolbarContainer, NWidgetScrollbar, NWidgetServerListHeader, NWidgetSmallmapDisplay, NWidgetSocialPlugins, NWidgetSpacer, NWidgetStacked, NWidgetToolbarContainer, NWidgetVertical, NWidgetViewport
- SetupTargetCount() : IndustryBuildData
- SetupWidgetData() : DepotWindow, SmallMapWindow
- SetupWidgets() : CompanyFinancesWindow
- SetValue() : GRFConfig, IniItem
- SetVehicleType() : StoryPageButtonData
- SetVolume() : MusicDriver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32
- SetWagon() : GroundVehicle< T, Type >
- SetWaitingRandomTriggers() : SpecializedResolverObject< RandomTriggers >
- SetWaitTime() : Order
- SetWaitTimetabled() : Order
- SetWhiteBorder() : Window
- SetWidgetDirty() : Window
- SetWidgetDisabledState() : Window
- SetWidgetHighlight() : Window
- SetWidgetLoweredState() : Window
- SetWidgetsDisabledState() : Window
- SetWidgetsLoweredState() : Window
- SetWindowTop() : NewsWindow
- SetZoomLevel() : SmallMapWindow
- severity : GRFError
- sf : SaveLoadParams
- SG_DEFAULT : CargoGRFFileProps
- SG_DEFAULT_NA : CargoGRFFileProps
- sg_full_load_any : GUISettings
- sg_new_nonstop : GUISettings
- SG_PURCHASE : CargoGRFFileProps
- shade_select : Window
- shadebox : WidgetDimensions
- shadebox_dimension : NWidgetLeaf
- shaded : DropDownListItem
- Shape() : ICURun
- shared : LinkProperties
- shares : FlowStat
- Shift() : CBinaryHeapT< T >
- shift : OskWindow
- Shift() : VehicleCargoList
- ShiftCargo() : StationCargoList, VehicleCargoList
- ShiftDates() : LinkGraph, LinkGraphSchedule, Vehicle
- ShiftJoinDate() : LinkGraphJob
- Ship() : Ship
- ship_curve45_penalty : YAPFSettings
- ship_curve90_penalty : YAPFSettings
- ship_station : Station
- shore : GRFLoadedFeatures
- short_name : ScriptInfo
- short_path_saturation : LinkGraphSettings
- shorten_factor : RailVehicleInfo, RoadVehicleInfo
- ShortenCargoColumn() : IndustryCargoesWindow
- shortname : BaseGraphics::Ini, BaseSet< T >, OptionData
- shouldplayflag : MpsMachine
- ShouldStopAtStation() : Order
- show_all : ScriptListWindow
- show_break_box : ScriptDebugWindow
- show_cargo_in_vehicle_lists : GUISettings
- show_date_in_logs : GUISettings
- show_dirs : ConsoleFileList
- show_expected : TimetableWindow
- show_filter : BadgeClassConfigItem
- show_finances : GUISettings
- show_hidden_engines : BuildVehicleWindow, ReplaceVehicleWindow
- show_icon : BadgeClassConfigItem
- show_ind_names : SmallMapWindow
- show_newgrf_name : GUISettings
- show_on_map : LegendAndColour
- show_params : NewGRFWindow
- show_towns : SmallMapWindow
- show_track_reservation : GUISettings
- show_zone : Town
- ShowCargo() : StationViewWindow
- ShowDateDropDown() : SetDateWindow
- shown_plane : NWidgetStacked
- ShowNewGRFInspectWindow() : IndustryViewWindow, LandInfoWindow, VehicleViewWindow, Window
- ShowVisualEffect() : Vehicle
- Shrink() : Rect
- shuffle : MusicSettings
- Shuffle() : MusicSystem
- Shutdown() : SocialIntegration
- ShutdownDrivers() : DriverFactoryBase
- sig_sprite_bottom_offset : BuildSignalWindow
- sig_sprite_size : BuildSignalWindow
- sign : BaseStation, TownCache
- signal : CompanyInfrastructure
- signal_gui_mode : GUISettings
- signals : RailTypeInfo
- signals_set_to_red : CYapfReserveTrack< Types >
- SignList() : SignList
- SignListGlobalHotkeys() : SignListWindow
- SignNameFilter() : SignList
- SignNameSorter() : SignList
- signum : CrashLogOSX, CrashLogUnix
- simplified_filename : RandomAccessFile
- single_e : RailTypeInfo
- single_n : RailTypeInfo
- single_s : RailTypeInfo
- single_sloped : RailTypeInfo
- single_w : RailTypeInfo
- single_x : RailTypeInfo
- single_y : RailTypeInfo
- size : FontCacheSubSetting, GUIBadgeClasses::Element
- Size() : LinkGraph, LinkGraphJob
- size : Map
- Size() : Map
- size() : MultiMap< Tkey, Tvalue, Tcompare >, NWidgetPartTextLines, NWidgetPartTextStyle, ObjectSpec, OutputBuffer
- Size() : Packet
- size : TileHighlightData
- size_x : AirportSpec, GenWorldInfo, Map
- size_y : AirportSpec, GenWorldInfo, Map
- sizelimit : TileHighlightData
- SizeX() : Map
- SizeY() : Map
- Skip() : ByteBuffer, StringConsumer
- SKIP_ALL_SEPARATORS : StringConsumer
- skip_left : Blitter::BlitterParams
- SKIP_ONE_SEPARATOR : StringConsumer
- skip_sprites : GrfProcessingState
- skip_top : Blitter::BlitterParams
- SkipAll() : StringConsumer
- SkipBytes() : RandomAccessFile
- SkipChar() : StringConsumer
- SkipCharIf() : StringConsumer
- SkipCharIfIn() : StringConsumer
- SkipCharIfNotIn() : StringConsumer
- SkipEmptyBuckets() : VehiclesNearTileXY::Iterator
- SkipFalseMatches() : VehiclesNearTileXY::Iterator, VehiclesOnTile::Iterator
- SkipIf() : StringConsumer
- SkipIntegerBase() : StringConsumer
- SkipOutsideMap() : SpiralTileIterator
- SkipSint16LE() : StringConsumer
- SkipSint32LE() : StringConsumer
- SkipSint64LE() : StringConsumer
- SkipSint8() : StringConsumer
- SkipToNextRealOrderIndex() : Vehicle
- SkipUint16LE() : StringConsumer
- SkipUint32LE() : StringConsumer
- SkipUint64LE() : StringConsumer
- SkipUint8() : StringConsumer
- SkipUntil() : StringConsumer
- SkipUntilChar() : StringConsumer
- SkipUntilCharIn() : StringConsumer
- SkipUntilCharNotIn() : StringConsumer
- SkipUntilUtf8() : StringConsumer
- SkipUtf8() : StringConsumer
- SkipUtf8If() : StringConsumer
- SlCalcLen() : SlStorageHelper< Tstorage, Tvar, Tallocator >
- SleepTillNextTick() : VideoDriver
- slopes_refused : IndustryTileSpec
- Slot : HashTable< Titem, Thash_bits_ >
- slot : ScriptListWindow, ScriptSettingsWindow, ScriptTextfileWindow
- SlSaveLoad() : SlStorageHelper< Tstorage, Tvar, Tallocator >
- slver : LoggedChangeRevision
- small : CompanyFinancesWindow, FontCacheSettings
- small_height : CargoesField
- small_turn : AccelerationSlowdownParams
- smallest_x : NWidgetBase
- smallest_y : NWidgetBase
- smallmap_land_colour : GUISettings
- smallmap_window : NWidgetSmallmapDisplay
- SmallMapCenterOnCurrentPos() : SmallMapWindow
- SmallSet() : SmallSet< Tdir, items >
- smoke_amount : VehicleSettings
- smooth_scroll : GUISettings
- snow_coverage : GameCreationSettings
- snow_line_height : GameCreationSettings
- snow_offset : RailTypeInfo
- social_platform : SocialIntegrationPlugin
- sock : NetworkTCPSocketHandler
- sock_to_address : TCPConnecter
- socket : TCPServerConnecter, UDPSocket
- sockets : NetworkUDPSocketHandler, TCPConnecter, TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- SocketTypeAsString() : NetworkAddress
- songdata : MpsMachine
- songdatalen : MpsMachine
- songinfo : MusicSet
- songname : MusicSongInfo
- Sort() : GUIList< T, P, F >
- sort_criteria : BuildVehicleWindow, ReplaceVehicleWindow
- sort_func_list : GUIList< T, P, F >
- sort_names : StationViewWindow
- sort_order : GUIBadgeClasses::Element
- sort_orders : StationViewWindow
- sort_type : GUIList< T, P, F >
- sort_value : StoryPage, StoryPageElement
- SortBridgeList() : BuildBridgeWindow
- SortButtonWidth() : Window
- SortContentList() : NetworkContentListWindow
- sorter_funcs : BuildBridgeWindow, NetworkContentListWindow, NewGRFWindow, TownDirectoryWindow
- SorterType : IndustryDirectoryWindow
- SortFunction : GUIList< T, P, F >
- sorting : BaseVehicleListWindow
- sorting_order : RailTypeInfo, RoadTypeInfo
- sortings : StationViewWindow
- SortNetworkGameList() : NetworkGameWindow
- SortStationsList() : CompanyStationsWindow
- SortType() : GUIList< T, P, F >
- sound : ClientSettings, NewsTypeData
- source : CargoMovement< Tsource, Tdest >, CargoPacket, CargoRemoval< Tsource >, CargoSummaryItem, StringIDMapping
- source_location : WindowDesc
- source_xy : CargoPacket
- spacers : NWidgetToolbarContainer
- spacing : NWidgetPartTextLines
- Span : AllowedSubtags
- sparse : WidgetDimensions
- sparse_resize : WidgetDimensions
- SPAWN_JOIN_TICK : LinkGraphSchedule
- SpawnAll() : LinkGraphSchedule
- SpawnNext() : LinkGraphSchedule
- SpawnThread() : LinkGraphJob
- spec : AirportScopeResolver, NewGRFClass< Tspec, Tindex, Tmax >, ObjectScopeResolver, SpecMapping< T >
- special_flags : IndustryTileSpec
- SpecializedStation() : SpecializedStation< T, Tis_waypoint >
- SpecializedVehicle() : SpecializedVehicle< T, Type >
- SpecializedVehicleBase : SpecializedVehicle< T, Type >
- speclist : BaseStation
- specs : AirportSpec, Badges
- Specs() : HouseSpec, NewGRFClass< Tspec, Tindex, Tmax >
- spectators_on : NetworkServerGameInfo
- speed : AnimationInfo< AnimationTriggers >, BridgeSpec
- speed_gameloop : FramerateWindow
- SpiralTileIterator() : SpiralTileIterator
- SpiralTileSequence() : SpiralTileSequence
- Split() : CargoPacket
- sprite : AnimCursor, Blitter::BlitterParams, BridgeSpec, ButtonCommon, CargoSpec, DropDownIcon< TBase, TEnd >, GrfProcessingState::SpriteSet, PalSpriteID, TileLayoutRegisters
- sprite_base : Action5Type
- sprite_cache : Vehicle
- sprite_crash_loc : OpenGLBackend
- sprite_height : Blitter::BlitterParams
- sprite_left : RefitWindow
- sprite_program : OpenGLBackend
- sprite_rgb_loc : OpenGLBackend
- sprite_right : RefitWindow
- sprite_screen_loc : OpenGLBackend
- sprite_seq : MutableSpriteCache
- sprite_sprite_loc : OpenGLBackend
- sprite_table : BridgeSpec
- sprite_var10 : TileLayoutRegisters
- sprite_width : Blitter::BlitterParams
- sprite_zoom_loc : OpenGLBackend
- sprite_zoom_min : GUISettings
- SpriteCollection : SpriteLoader
- SpriteFile() : SpriteFile
- SpriteFontCache() : SpriteFontCache
- spritegroups : FixedGRFFileProps< Tkey, Tcount >, VariableGRFFileProps< Tkey >
- spriteid : GrfProcessingState
- SpriteLayoutProcessor() : SpriteLayoutProcessor
- spritenum : Vehicle
- sprites : CursorVars, NewGrfDebugSpritePicker
- spritesets : GrfProcessingState
- SQ_instance : ScriptInfo
- SQSaveLoadType : ScriptInstance
- SQSL_ARRAY : ScriptInstance
- SQSL_ARRAY_TABLE_END : ScriptInstance
- SQSL_BOOL : ScriptInstance
- SQSL_INSTANCE : ScriptInstance
- SQSL_INT : ScriptInstance
- SQSL_NULL : ScriptInstance
- SQSL_STRING : ScriptInstance
- SQSL_TABLE : ScriptInstance
- squared_town_zone_radius : TownCache
- src : Subsidy
- src_industry : GenericScopeResolver
- SS_BIG : Scrollbar
- SS_RAW : Scrollbar
- SS_SMALL : Scrollbar
- SSS_DEFAULT : ScriptConfig
- SSS_FORCE_GAME : ScriptConfig
- SSS_FORCE_NEWGAME : ScriptConfig
- st : AirportScopeResolver, AirportTileIterator, AirportTileScopeResolver, FinalizeRefitAction, ReturnCargoAction, RoadStopScopeResolver, StationScopeResolver
- stage : GrfProcessingState
- Stage() : VehicleCargoList
- STALE_LINK_DEPOT_TIMEOUT : LinkGraph
- Start() : Driver
- start : ICURun
- Start() : MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32, SoundDriver_Allegro, SoundDriver_Cocoa, SoundDriver_Null, SoundDriver_SDL, SoundDriver_Win32, SoundDriver_XAudio2, VideoDriver_Allegro, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_SDL_OpenGL, VideoDriver_Win32GDI
- start_pos : RandomAccessFile
- start_price : PriceBaseSpec
- start_tick : NewGRFProfiler
- start_time : GameSessionStats
- StartAction() : Gamelog
- StartGameThread() : VideoDriver
- starting_colour : GUISettings
- starting_colour_secondary : GUISettings
- starting_year : GameCreationSettings, LoadCheckData
- StartNew() : AI, Game
- startpos : MpsMachine::Channel
- StartTimer() : NewGRFProfiler
- startup : SettingDesc
- startyear : AfterNewGRFScan
- state : Aircraft, AlternatingIterator< Titer >, ContentInfo
- State : ContentInfo
- state : DisasterVehicle, Filtering
- State : GoodsEntry
- state : MovementTerminalMapping, Randomizer, RoadVehicle, Ship
- State : SocialIntegrationPlugin
- state : SocialIntegrationPlugin
- state_after : Layouter::LineCacheItem
- state_before : Layouter::LineCacheKey, Layouter::LineCacheQuery
- StateSorter() : NetworkContentListWindow
- station : CargoDataEntry, CompanyInfrastructure, GameSettings, LinkGraph::BaseNode, TileAndStation
- STATION_ACCEPTANCE_TICKS : Ticks
- station_class : TileDesc
- station_dragdrop : GUISettings
- station_gui_group_order : GUISettings
- station_gui_sort_by : GUISettings
- station_gui_sort_order : GUISettings
- station_length_loading_penalty : OrderSettings
- STATION_LINKGRAPH_TICKS : Ticks
- station_name : IndustrySpec, TileDesc
- station_noise_level : EconomySettings
- station_numtracks : GUISettings
- station_platlength : GUISettings
- station_rating : Cheats
- STATION_RATING_TICKS : Ticks
- station_scope : StationResolverObject
- station_show_coverage : GUISettings
- station_spread : StationSettings
- station_to_node : FlowEdgeIterator
- StationCargoList : VehicleCargoList
- StationFinder() : StationFinder
- StationNameSorter() : CompanyStationsWindow
- StationRatingMaxSorter() : CompanyStationsWindow
- StationRatingMinSorter() : CompanyStationsWindow
- StationResolverObject() : StationResolverObject
- stations : StationFinder
- stations_near : Industry, Town
- stations_per_cargo_type : CompanyStationsWindow
- stations_per_cargo_type_no_rating : CompanyStationsWindow
- StationScopeResolver() : StationScopeResolver
- StationTypeSorter() : CompanyStationsWindow
- StationWaitingAvailableSorter() : CompanyStationsWindow
- StationWaitingTotalSorter() : CompanyStationsWindow
- statistics : Group
- stats_cache_hits : CYapfBaseT< Types >
- stats_cost_calcs : CYapfBaseT< Types >
- statspec : StationScopeResolver
- statues : Town
- status : AnimationInfo< AnimationTriggers >, ClientNetworkGameSocketHandler, GoodsEntry, GRFConfig, NetworkAdminSocketHandler, NetworkGame, RoadStop, ServerNetworkGameSocketHandler, TCPConnecter
- Status : TCPConnecter
- STATUS_ACTIVE : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_AUTH_GAME : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_AUTHORIZED : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_DONE_MAP : ServerNetworkGameSocketHandler
- STATUS_ENCRYPTED : ClientNetworkGameSocketHandler
- STATUS_END : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- status_height : NewsWindow
- STATUS_IDENTIFY : ServerNetworkGameSocketHandler
- STATUS_INACTIVE : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_JOIN : ClientNetworkGameSocketHandler
- STATUS_MAP : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_MAP_WAIT : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_NEWGRFS_CHECK : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- STATUS_PRE_ACTIVE : ServerNetworkGameSocketHandler
- statusbar_pos : GUISettings
- step_height : ResizeInfo
- STEP_PREVIEW_HEIGHT : PickerWindow
- step_size : ScriptConfigItem
- step_width : ResizeInfo
- stepsize : Scrollbar
- stickybox : WidgetDimensions
- stickybox_dimension : NWidgetLeaf
- stl : RailStationTileLayout::Iterator
- Stop() : AI, Driver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32, MusicSystem, SoundDriver_Allegro, SoundDriver_Cocoa, SoundDriver_Null, SoundDriver_SDL, SoundDriver_Win32, SoundDriver_XAudio2, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_SDL_OpenGL, VideoDriver_Win32Base, VideoDriver_Win32GDI
- stop_location : GUISettings
- StopAction() : Gamelog
- StopGameThread() : VideoDriver
- StopSong() : MusicDriver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32
- storage : BaseTimer< TTimerType >, PersistentStorageArray< TYPE, SIZE >, ScriptInstance, TemporaryStorageArray< TYPE, SIZE >
- StoredCount() : VehicleCargoList
- StorePSA() : AirportScopeResolver, IndustriesScopeResolver, ScopeResolver, TownScopeResolver
- StoreSizePosition() : NWidgetBase
- StoreValue() : PersistentStorageArray< TYPE, SIZE >, TemporaryStorageArray< TYPE, SIZE >
- story_page_elements : StoryBookWindow
- story_pages : StoryBookWindow
- StoryPage() : StoryPage
- StoryPageElement() : StoryPageElement
- str : CheatEntry, IntSettingDesc, Layouter::LineCacheKey, Layouter::LineCacheQuery, TileDesc
- str_help : IntSettingDesc
- str_info : OSXStringIterator, UniscribeStringIterator
- str_val : IntSettingDesc
- string : Case, DropDownString< TBase, TFs, TEnd >, EncodedString, Layouter, RefitOption, SettingFilter
- string_filter : BuildVehicleWindow, ContentListFilterData, IndustryDirectoryWindow, NewGRFWindow, SaveLoadWindow, SignList, TownDirectoryWindow
- string_id : BaseStation, EngineInfo
- string_names : GameStrings
- string_params : GameStrings
- StringBuilder() : StringBuilder
- StringConsumer() : StringConsumer
- StringData() : StringData
- StringFilter() : StringFilter
- StringListReader() : StringListReader
- StringNameWriter() : StringNameWriter
- StringParameters() : StringParameters
- StringReader() : StringReader
- strings : RailTypeInfo, RoadTypeInfo, StringData, StringNameWriter, TranslationWriter, UnmappedChoiceList
- StringToSettings() : ScriptConfig
- stSlopeCost() : CYapfCostBase
- Stun() : ClientNetworkStunSocketHandler
- stun_handlers : ClientNetworkCoordinatorSocketHandler
- StunResult() : ClientNetworkCoordinatorSocketHandler
- style : CompanyManagerFace
- style_label : CompanyManagerFace
- styles : GRFTownName
- sub : ChildScreenSpriteToDraw, ParentSpriteToDraw, TileSpriteToDraw
- sub_date_fract : TimerGameCalendar
- subdir : FileScanner
- subs : NewGRFProfiler::Call
- subscroll : SmallMapWindow
- subsidies : NewsSettings
- Subsidy() : Subsidy
- subsidy_duration : DifficultySettings
- subsidy_multiplier : DifficultySettings
- subspeed : Vehicle
- substitute_id : EngineIDMapping, EntityIDMapping
- SubstituteGRFFileProps() : SubstituteGRFFileProps
- subtract_input : IndustryProductionSpriteGroup
- subtype : AircraftVehicleInfo, CargoSummaryItem, LabelObject< T >, RefitOption, RefitResult, Vehicle
- Succeeded() : CommandCost
- success : CommandCost
- suffix : CurrencySpec
- summary_msg : ErrorMessageData
- supp_cargoes : CargoesField
- supplied : Town
- supply : LinkGraph::BaseNode
- supply_sum : SymmetricScaler
- SUPPORTS_RTL : CoreTextParagraphLayoutFactory, FallbackParagraphLayoutFactory, ICUParagraphLayoutFactory, UniscribeParagraphLayoutFactory
- SurveyCrash() : CrashLog, CrashLogOSX, CrashLogUnix, CrashLogWindows
- SurveyStacktrace() : CrashLog, CrashLogOSX, CrashLogUnix, CrashLogWindows
- suspend : ScriptInstance
- SwapShares() : FlowStat
- switch_company : Cheats
- SwitchMapType() : SmallMapWindow
- SwitchMode() : BasePersistentStorageArray
- SwitchToNextOrder() : VehicleOrderSaver
- symbol_pos : CurrencySpec
- SymmetricScaler() : SymmetricScaler
- sync_anim_mapping : OpenGLBackend
- sync_freq : NetworkSettings
- sync_vid_mapping : OpenGLBackend